Last Comment Bug 1234546 - look into switching Balrog to Docker
: look into switching Balrog to Docker
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Balrog: Backend (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Ben Hearsum (:bhearsum)
: Ben Hearsum (:bhearsum)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 06:34 PST by Ben Hearsum (:bhearsum)
Modified: 2016-01-28 10:06 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
add support for Docker images (41 bytes, text/x-github-pull-request)
2015-12-29 09:17 PST, Ben Hearsum (:bhearsum)
rail: review+
bhearsum: checked‑in+
Details | Review | Splinter Review

Description User image Ben Hearsum (:bhearsum) 2015-12-22 06:34:08 PST
Balrog is currently using Vagrant to manage dev environments, which is a bit old and crufty. Switching to Docker would modernize us, and also be a big step towards the potential transition to being CloudOps hosted.
Comment 1 User image Ben Hearsum (:bhearsum) 2015-12-22 06:34:44 PST
I started looking into this a few days ago: https://github.com/mozilla/balrog/compare/master...bhearsum:docker?expand=1
Comment 2 User image Ben Hearsum (:bhearsum) 2015-12-24 07:41:15 PST
(In reply to Ben Hearsum (:bhearsum) from comment #1)
> I started looking into this a few days ago:
> https://github.com/mozilla/balrog/compare/master...bhearsum:docker?expand=1

This is looking pretty darn good now. I've got a set of Docker images that are functionally equivalent to the Vagrant image, and reworked the config and wsgi files to support that. The patch also rips out the vendor library in favour of putting everything in setup.py. I'm going to sit on it for a few days and look at it with fresh eyes before seeking review.
Comment 3 User image Ben Hearsum (:bhearsum) 2015-12-29 09:17:02 PST
Created attachment 8702620 [details] [review]
add support for Docker images

PR has all the details.
Comment 4 User image [github robot] 2015-12-30 05:53:12 PST
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/c65a28feb4cd8abe04100db4de97e10056101451
Merge pull request #38 from bhearsum/docker

bug 1234546: Switch Balrog to Docker + uWSGI and a bit of cleanup. r=rail
Comment 5 User image Ben Hearsum (:bhearsum) 2015-12-30 06:27:41 PST
Comment on attachment 8702620 [details] [review]
add support for Docker images

I merged this morning. All looks well, including my tests on aus4-dev. I've updated the docs at https://wiki.mozilla.org/Balrog to reflect the changes.
Comment 6 User image Ben Hearsum (:bhearsum) 2016-01-28 10:06:10 PST
Been actively using Docker for local dev for weeks now - this is done. Any subsequent work will be taken care of in new bugs.

Note You need to log in before you can comment on or make changes to this bug.